package com.huiju.estateagents.common;

public class CommConstant {
    public final static String ALIOSS_DEFAULT_UPLOAD = "/miniapp/upload/images/";

    /**
     * 人员类型: 置业顾问
     */
    public final static String PERSON_REALTY_CONSULTANT = "Realty Consultant";

    /**
     * 人员类型: 销售主管
     */
    public final static String PERSON_SALES_EXECUTIVE = "Sales Executive";

    /**
     * 人员类型: 经纪人
     */
    public final static String PERSON_ESTATE_AGENT = "estate agent";

    /**
     * 状态: 正常
     */
    public final static int STATUS_NORMAL = 1;

    /**
     * 状态: 删除
     */
    public final static int STATUS_DELETE = -1;

    /**
     * 消息未读
     */
    public final static int MESSAGE_UNREAD = 0;

    /**
     * 消息已读
     */
    public final static int MESSAGE_READED = 1;

    /**
     * 点赞置业卡片
     */
    public final static String FAVOR_CONSULTANT = "consultant";

    /**
     * 点赞资讯
     */
    public final static String FAVOR_NEWS = "news";

    /**
     * 点赞项目
     */
    public final static String FAVOR_PROJECT = "project";

    /**
     * 活动点赞
     */
    public final static String FAVOR_ACTIVITY = "activity";


    /**
     * 兑换商品
     */
    public final static String POINTS_CHANGE_GOODS = "goods";
    
    /**
     * 签到
     */
    public final static String POINTS_CHECKIN = "checkin";
    
    /**
     * 分享
     */
    public final static String POINTS_SHARE = "share";
    
    /**
     * 授权
     */
    public final static String POINTS_AUTHORIZE = "authorize";


    /**
     * 小程序默认首页
     */
    public final static String MINIAPP_INDEX = "/index/index";

    public final static String MINIAPP_DEFAULT_AVATAR = "https://estateagents.oss-cn-shanghai.aliyuncs.com/miniapp/upload/images/default_avatar.jpg";


    /**
     * 未领取
     */
    public static final Integer STATUS_UNACCALIMED = 0;
    
    /**
     * 成功
     */
    public static final String SUCCESS = "success";



    /**
     * 活动的当前状态1:进行中
     */
    public static final Integer ACTIVITY_CONDITION_ONE = 1;

    /**
     * 活动的当前状态2:未开始
     */
    public static final Integer ACTIVITY_CONDITION_TWO = 2;

    /**
     * 活动的当前状态3:结束
     */
    public static final Integer ACTIVITY_CONDITION_ONE_THREE = 3;

    //=================  首屏广告 / 轮播图 start =======================

    /**
     * 首页 轮播图/广告 类型 ====  活动
     */
    public static final String CAROUSEL_ACTIVITY = "activity";

    /**
     * 首页 轮播图/广告 类型 ==== 项目
     */
    public static final String CAROUSEL_PROJECT = "project";

    /**
     * 首页轮播图/广告 类型 ==== 资讯
     */
    public static final String CAROUSEL_NEWS = "news";

    /**
     * 打开放式_开屏
     */
    public static final String OPEN_SCREEN = "screen";

    /**
     * 打开放式_首页轮播图
     */
    public static final String CAROUSEL = "banner";

    /**
     * 首屏广告_发布位置——商城
     */
    public static final String MALL = "mall";

    /**
     * 首屏广告_发布位置——首页
     */
    public static final String BANNER_INDEX = "index";

    //=================  首屏广告 / 轮播图 end =======================

    /**
     * 客户报备
     */
    public static final String CUSTOMER_REPORT = "1";

    /**
     * 客户到访
     */
    public static final String CUSTOMER_VISITE = "2";

    /**
     * 客户认购
     */
    public static final String CUSTOMER_PREORDER = "3";

    /**
     * 客户签约
     */
    public static final String CUSTOMER_SIGNED = "4";


    /**
     * 待审核
     */
    public static final Integer VERIFY_READY = 0;

    /**
     * 审核同意
     */
    public static final Integer VERIFY_AGREE = 1;

    /**
     * 审核不同意
     */
    public static final Integer VERIFY_DISAGREE = 2;

    //=================  客户入口类型 start =======================
    /*
    * 自主进入
    * */
    public static final String ENTRY_VOLUNTEER = "volunteer";
    /*
    添加
    */
    public static final String ENTRY_INPUT = "input";
    /*
    * 报备
    * */
    public static final String ENTRY_VERIFY = "verify";
    //=================  客户入口类型 end =======================

}
